#!/usr/bin/env python3
from .db import db
from .mealingredient import MealIngredient


class Ingredient(db.Model):
    __tablename__ = 'Ingredient'
    id = db.Column(db.Integer, primary_key=True)
    name = db.Column(db.String, nullable=False, unique=True)
    value = db.Column(db.String, nullable=False)
    items = db.relationship('Meal', secondary=MealIngredient, back_populates='Ingredient')
