#!/usr/bin/env python3
from .db import db
from .mealingredient import MealIngredient


class Meal(db.Model):
    __tablename__ = 'Meal'
    id = db.Column(db.Integer, primary_key=True)
    name = db.Column(db.String(255), nullable=False)
    description = db.Column(db.Text, nullable=False)
    kcal = db.Column(db.Integer, nullable=True)
    price = db.Column(db.Integer, nullable=True)
    spicy = db.Column(db.Boolean, nullable=False, default=False)
    vegan = db.Column(db.Boolean, nullable=False, default=False)
    glutenfree = db.Column(db.Boolean, nullable=False, default=False)
    ingredients = db.relationship('Ingredient', secondary=MealIngredient, back_populates='Meal')
